;***
;***                   Copyright 1990 Craig Edward Given
;***                          All Rights Reserved
;***
;***   This copyright and license also applies to all derivative works!
;***
;***
;*** This file may be distributed, free of charge, if NONE of the following
;*** stipulations are violated:   No fee is charged for the distribution of
;*** of this file.  This file is not to be included with, or packaged with,
;*** any item which is sold or for which a distribution fee is charged. The
;*** file is distributed only in its original form, and the distribution is
;*** performed by an INDIVIDUAL (that is, not a company, an institution, or
;*** an organization; regardless of their profit or non-profity status).
;***
;*** Any exceptions must be pre-approved by written consent of the author.
;***
;***
;*** ͸     Home Address:          Work Address:
;*** ķĴ     Craig Edward Given     Erlanger Medical Center
;*** ķĴ     731A Belvoir Avenue    975 East Third Street
;*** ķĴ     Chattanooga, TN 37412  Chattanooga, TN 37403
;*** ;     (615) 622-3218         (615) 778-2078
;***
;***    ARTech       The ARTech BBS
;***   Creative      (615) 622-4107
;***  Enterprises    [FidoNet 362/707]
;***
;***
;***

(macro dirlist
   (
   ;-Takes a DIR [spec] > [filename] in the current buffer and turns it into
   ; a proper list of files.  That is, it strips date & time, puts a period
   ; in front of the filename's extension and removes spaces.
      (int     last_line
               position
               current_line
      )
      (string  entry)

      (end_of_buffer)
      (inq_position last_line)
      (top_of_buffer)
      (while (<= current_line last_line)
         (
            (beginning_of_line)
            (move_rel 0 12)
            (delete_to_eol)
            (beginning_of_line)
            (= entry (read 13))
            (= position (- (search_string " " entry) 1))
            (move_rel 0 position)
            (insert ".")
            (drop_anchor 1)
            (execute_macro "next_word")
            (left)
            (delete_block)
            (down)
            (++ current_line)
         )
      );endwhile
      (message "Reformatting Complete")
   )
);endmacro dirlist

